{
  config, 
  lib, 
  pkgs, 
  system,
  windows-theme,
  ...
}:
{
  options = {
    nixp.mate.enable = lib.mkEnableOption "Enable XP configuration in MATE";
  };

  config = lib.mkIf config.nixp.mate.enable {
    boot = {
      plymouth = {
        theme = "xp";
        themePackages = [ windows-theme.packages.${system}.windows-xp-plymouth ];
      };
    };

    services = {
      xserver.displayManager.lightdm.background = ./wall.png;

      displayManager = {
        defaultSession = lib.mkDefault "mate";
      };
    };
  };
}
